# RedHat-style .spec file for Xapian
# xapian.spec.  Generated from xapian.spec.in by configure.

Summary: The Xapian Probabilistic Information Retrieval Library.
Name: xapian-core
Version: 0.8.3
Release: 1
License: GPL
Vendor: www.xapian.org
Group: Applications/Databases
URL: http://www.xapian.org/
Requires: %{name}-libs = %{version}
Source0: http://www.oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.gz
Source1: http://www.oligarchy.co.uk/xapian/%{version}/xapian-examples-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Xapian is an Open Source Probabilistic Information Retrieval Library. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications.

%package libs
Summary: Xapian search engine libraries.
Group: System Environment/Libraries

%description libs
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
libraries for applications using Xapian functionality.

%package devel
Group: Development/Libraries
Summary: Files needed for building packages which use Xapian.
Requires: %{name}-libs = %{version}

%description devel
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for building packages which use Xapian.

%prep
%setup -q -c
%setup -q -T -D -a 1

%build
cd %{name}-%{version}
%configure
make
XAPIAN_CORE_WD=`pwd`
cd ../xapian-examples-%{version}
%configure XAPIAN_CONFIG=$XAPIAN_CORE_WD/xapian-config
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
cd %{name}-%{version}
%makeinstall
# Move the docs to the right place
mv %{buildroot}/usr/share/doc/%{name} %{buildroot}/usr/share/doc/%{name}-devel-%{version}
# Copy HACKING now, as "%doc HACKING" would overwrite everything
cp HACKING %{buildroot}/usr/share/doc/%{name}-devel-%{version}
# Copy the rest while we are in this directory
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}
cp AUTHORS ChangeLog COPYING NEWS PLATFORMS README %{buildroot}/usr/share/doc/%{name}-%{version}
cd ../xapian-examples-%{version}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/xapian-tcpsrv
%{_bindir}/quartzcheck
%{_bindir}/quartzcompact
%{_bindir}/quartzdump
%{_bindir}/quest
%{_bindir}/delve
%{_bindir}/copydatabase
%{_bindir}/simpleindex
%{_bindir}/simplesearch
%{_bindir}/simpleexpand
%doc /usr/share/doc/%{name}-%{version}

%files libs
%defattr(-, root, root)
%{_libdir}/libxapianqueryparser.so
%{_libdir}/libxapianqueryparser.so.*
%{_libdir}/libxapian.so
%{_libdir}/libxapian.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/xapian-config
%{_includedir}/xapian
%{_includedir}/xapian.h
%{_libdir}/libxapianqueryparser.a
%{_libdir}/libxapianqueryparser.la
%{_libdir}/libxapian.a
%{_libdir}/libxapian.la
/usr/share/aclocal/xapian.m4
%doc /usr/share/doc/%{name}-devel-%{version}
